﻿using System;

namespace Salesforce.NET
{
    /// <summary>
    /// Associates the entity to an object in Salesforce
    /// </summary>
    public class SalesforceObjectAttribute : Attribute
    {
        public string ObjectName { get; }

        public SalesforceObjectAttribute(string objectName)
        {
            ObjectName = objectName;
        }
    }
}
