﻿using Newtonsoft.Json;
using System.Collections.Generic;

namespace Salesforce.NET
{
    public class QueryResponse<T>
    {
        public bool Done { get; set; }

        [JsonProperty("totalSize")]
        public bool TotalRecords { get; set; }

        public string NextRecordsUrl { get; set; }
        public ICollection<T> Records { get; set; }
    }
}
