﻿namespace Salesforce.NET
{
    /// <summary>
    /// Maintains context regarding the current Salesforce API connection
    /// </summary>
    public class SalesforceContext
    {
        public string AccessToken { get; }
        public string InstanceUrl { get; }
        public TokenType TokenType { get; }

        public SalesforceContext(string accessToken, string instanceUrl, TokenType tokenType)
        {
            AccessToken = accessToken;
            InstanceUrl = instanceUrl;
            TokenType = tokenType;
        }
    }
}
