﻿using System.Collections.Generic;

namespace Salesforce.NET
{
    public class SchemaResponse
    {
        public ICollection<SchemaField> Fields { get; set; }

        public class SchemaField
        {
            /// <summary>
            /// User-friendly name for the field
            /// </summary>
            public string Label { get; set; }

            /// <summary>
            /// Internal name for the field
            /// </summary>
            public string Name { get; set; }

            public string DefaultValue { get; set; }
            public string Type { get; set; }
        }
    }
}