﻿using System.Collections.Generic;
using System.Collections.ObjectModel;

namespace Salesforce.NET
{
    public class ErrorCollectionResponse : Collection<ErrorResponse>, IApiResponse
    {
        public bool Success => false;
    }

    public class ErrorResponse
    {
        public string Message { get; set; }
        public string ErrorCode { get; set; }
        public ICollection<string> Fields { get; set; }
    }
}
