﻿using Newtonsoft.Json;

namespace Salesforce.NET
{
    public class UpdateResponse : IApiResponse
    {
        public bool Success { get; set; }
        
        [JsonProperty("errorCode")]
        public string ErrorCode { get; set; }

        [JsonProperty("message")]
        public string Message { get; set; }

        public UpdateResponse() { }

        public UpdateResponse(bool success)
        {
            Success = success;
        }
    }
}
